Subject: bug#25562: 25.1; isearch-forward-word first matches a non-word

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Jan 2017 17:38:46 +0200

> From: Antoine Levitt <[email-masked]>
> Date: Tue, 31 Jan 2017 08:57:37 +0100
> Cc: Juri Linkov <[email-masked]>, [email-masked]
> 
> I agree it's an ill defined problem ; but then, so is isearching for foo\|bar.
> 
> I disabled the beeping and screen flashing, so it doesn't bother me, but I get the point. 
> 
> In the end, it's mostly a matter of personal convenience. The patched behavior suits me better, and seems
> more consistent with the way regexp are handled.

Did you try typing RET right after "C-s M-s w", then typing the word
to search, and then typing "C-s C-s" again to repeat that?  This might
be better suited to your needs, I think, and it doesn't require any
changes.